define(['exports', 'module', './focus-relevant.rules'], function (exports, module, _focusRelevantRules) {
  // determine if an element supports.can be focused by script regardless
  // of the element actually being focusable at the time of execution
  // i.e. <input disabled> is conisdered focus-relevant, but not focusable

  'use strict';

  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

  var _rules = _interopRequireDefault(_focusRelevantRules);

  module.exports = function (element) {
    if (element === document) {
      element = document.documentElement;
    }

    if (!element || element.nodeType !== Node.ELEMENT_NODE) {
      throw new TypeError('is/focus-relevant requires an argument of type Element');
    }

    return (0, _rules['default'])(element);
  };
});
//# sourceMappingURL=focus-relevant.js.map