define(['exports', 'module', '../util/get-window', '../util/tabindex-value', '../util/platform'], function (exports, module, _utilGetWindow, _utilTabindexValue, _utilPlatform) {
  'use strict';

  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

  var _getWindow = _interopRequireDefault(_utilGetWindow);

  var _tabindexValue = _interopRequireDefault(_utilTabindexValue);

  var _platform = _interopRequireDefault(_utilPlatform);

  module.exports = function (element) {
    if (element === document) {
      element = document.documentElement;
    }

    if (!element || element.nodeType !== Node.ELEMENT_NODE) {
      throw new TypeError('is/only-tabbable requires an argument of type Element');
    }

    var nodeName = element.nodeName.toLowerCase();
    var tabindex = (0, _tabindexValue['default'])(element);

    if (nodeName === 'label' && _platform['default'].is.GECKO) {
      // Firefox cannot focus, but tab to: label[tabindex=0]
      return tabindex !== null && tabindex >= 0;
    }

    if (nodeName === 'svg' && _platform['default'].is.TRIDENT) {
      return element.getAttribute('focusable') !== 'false';
    }

    var _window = (0, _getWindow['default'])(element);
    if (element instanceof _window.SVGElement) {
      if (nodeName === 'a' && element.hasAttribute('xlink:href')) {
        // any focusable child of <svg> cannot be focused, but tabbed to
        if (_platform['default'].is.GECKO) {
          return true;
        }
        if (_platform['default'].is.TRIDENT) {
          return element.getAttribute('focusable') !== 'false';
        }
      }
      if (_platform['default'].is.TRIDENT) {
        return element.getAttribute('focusable') === 'true';
      }
    }

    return false;
  };
});
//# sourceMappingURL=only-tabbable.js.map