define(['exports', 'module', './tabbable.rules'], function (exports, module, _tabbableRules) {
  // determine if an element can be focused by keyboard (i.e. is part of the document's sequential focus navigation order)

  'use strict';

  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

  var _rules = _interopRequireDefault(_tabbableRules);

  module.exports = function (element) {
    if (element === document) {
      element = document.documentElement;
    }

    if (!element || element.nodeType !== Node.ELEMENT_NODE) {
      throw new TypeError('is/tabbable requires an argument of type Element');
    }

    return (0, _rules['default'])(element);
  };
});
//# sourceMappingURL=tabbable.js.map