
// determine if an element supports.can be focused by script regardless
// of the element actually being focusable at the time of execution
// i.e. <input disabled> is conisdered focus-relevant, but not focusable

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _focusRelevantRules = require('./focus-relevant.rules');

var _focusRelevantRules2 = _interopRequireDefault(_focusRelevantRules);

exports['default'] = function (element) {
  if (element === document) {
    element = document.documentElement;
  }

  if (!element || element.nodeType !== Node.ELEMENT_NODE) {
    throw new TypeError('is/focus-relevant requires an argument of type Element');
  }

  return (0, _focusRelevantRules2['default'])(element);
};

module.exports = exports['default'];
//# sourceMappingURL=focus-relevant.js.map