
// determine if an element can be focused by keyboard (i.e. is part of the document's sequential focus navigation order)

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _tabbableRules = require('./tabbable.rules');

var _tabbableRules2 = _interopRequireDefault(_tabbableRules);

exports['default'] = function (element) {
  if (element === document) {
    element = document.documentElement;
  }

  if (!element || element.nodeType !== Node.ELEMENT_NODE) {
    throw new TypeError('is/tabbable requires an argument of type Element');
  }

  return (0, _tabbableRules2['default'])(element);
};

module.exports = exports['default'];
//# sourceMappingURL=tabbable.js.map